import { RouterConfig } from "./types";
import { APIGatewayProxyHandler, APIGatewayProxyHandlerV2 } from "aws-lambda";
import { APIGatewayVersion, RouteHandlers } from "./router";
import { ApiInfo, SecurityScheme } from "./open-api";
export declare type ApiGatewayHandlerWithOpenApi = APIGatewayProxyHandler & {
    toOpenApi: (apiInfo: ApiInfo, functionArn: string, iamRoleArn?: string, securitySchemes?: {
        [k: string]: SecurityScheme;
    }) => object;
};
export declare type ApiGatewayHandlerV2WithOpenApi = APIGatewayProxyHandlerV2 & {
    toOpenApi: (apiInfo: ApiInfo, functionArn: string, iamRoleArn?: string, securitySchemes?: {
        [k: string]: SecurityScheme;
    }) => object;
};
export declare type VersionedHandlerType<V extends APIGatewayVersion> = V extends "V1" ? ApiGatewayHandlerWithOpenApi : ApiGatewayHandlerV2WithOpenApi;
export declare const APIEventHandler: (routes: RouteHandlers<"V1">, config?: RouterConfig) => VersionedHandlerType<"V1">;
