import { RouteHandlerDefinition } from "./router";
export declare type ApiInfo = {
    title: string;
    description?: string;
    version: string;
};
declare type ApiGatewayOpenIdAuthorizerConfiguration = {
    type: "jwt";
    jwtConfiguration: {
        audience: string[];
    };
    identitySource: string;
};
declare type ApiGatewayOAuthAuthorizerConfiguration = {
    type: "jwt";
    jwtConfiguration: {
        issuer: string;
        audience: string[];
    };
};
declare type OpenIdSecurityScheme = {
    type: "openIdConnect";
    openIdConnectUrl: string;
    "x-amazon-apigateway-authorizer": ApiGatewayOpenIdAuthorizerConfiguration;
};
declare type OAuthSecurityScheme = {
    type: "oauth2";
    "x-amazon-apigateway-authorizer": ApiGatewayOAuthAuthorizerConfiguration;
};
export declare type SecurityScheme = OpenIdSecurityScheme | OAuthSecurityScheme;
export declare type RouteDefinition = Omit<RouteHandlerDefinition<"V1">, "handler">;
export declare const toOpenApi: (routes: readonly RouteDefinition[], payloadFormatVersion: "1.0" | "2.0", apiInfo: ApiInfo, functionArn: string, apiRoleArn?: string | undefined, securitySchemes?: {
    [k: string]: SecurityScheme;
} | undefined) => object;
export {};
